
From: Heiko Carstens <heiko.carstens@de.ibm.com>

The atomic64 primitives are supposed to have 64-bit parameters instead of int.

Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-s390/atomic.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN include/asm-s390/atomic.h~s390-atomic64-inline-functions include/asm-s390/atomic.h
--- 25/include/asm-s390/atomic.h~s390-atomic64-inline-functions	Mon Jul 11 16:37:20 2005
+++ 25-akpm/include/asm-s390/atomic.h	Mon Jul 11 16:37:20 2005
@@ -123,19 +123,19 @@ typedef struct {
 #define atomic64_read(v)          ((v)->counter)
 #define atomic64_set(v,i)         (((v)->counter) = (i))
 
-static __inline__ void atomic64_add(int i, atomic64_t * v)
+static __inline__ void atomic64_add(long long i, atomic64_t * v)
 {
 	       __CSG_LOOP(v, i, "agr");
 }
-static __inline__ long long atomic64_add_return(int i, atomic64_t * v)
+static __inline__ long long atomic64_add_return(long long i, atomic64_t * v)
 {
 	return __CSG_LOOP(v, i, "agr");
 }
-static __inline__ long long atomic64_add_negative(int i, atomic64_t * v)
+static __inline__ long long atomic64_add_negative(long long i, atomic64_t * v)
 {
 	return __CSG_LOOP(v, i, "agr") < 0;
 }
-static __inline__ void atomic64_sub(int i, atomic64_t * v)
+static __inline__ void atomic64_sub(long long i, atomic64_t * v)
 {
 	       __CSG_LOOP(v, i, "sgr");
 }
_
